CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   FLUENT (http://www.cfd-online.com/Forums/fluent/)
-   -   OpenGL problem in Fluent for Linux (http://www.cfd-online.com/Forums/fluent/43343-opengl-problem-fluent-linux.html)

Jack January 16, 2007 02:34

OpenGL problem in Fluent for Linux
 
Hi! Everyone, I am running Fluent in Redhat enterprise linux 4. I have no problem running gambit and fluent, but whenever it is neccessary to bring out a graphical windows, an error message reads: Error message from graphics function Show_Device_Info: The OpenGL driver was requested but is not available in this Hoops. Does that mean I have no OpenGL driver installed? If that's the reason, could anyone please tell me where to download the correct Open GL driver? my display card is ATI X300. Thanks a lot

Seeker Phil January 16, 2007 13:38

Re: OpenGL problem in Fluent for Linux
 
Hi Jack, I guess you are connecting to a server and running Fluent on another machine. If this is so, you will need to set your GLX extensions correctly.

Phil

Jack January 16, 2007 20:18

Re: OpenGL problem in Fluent for Linux
 
Hi! Phil, No, I am not running Fluent on a remote machine but I have problems on that too. Both Fluent and Gambit sends error messages without starting anything. I already change the ssh_config but for some reason it still not running. Now, back to my local machine problem, it looks like Linux cannot find an OpenGL driver but I think that should come with any version of Linux distribution. I think RedHat accidentally remove something when fixing bugs for this new release. I didnt have that problem with earlier release of RedHat Enterprise 4 (Yes they are both RHEL4 but just different minor releases)

Seeker Phil January 17, 2007 13:45

Re: OpenGL problem in Fluent for Linux
 
Hi Jack, Unfortunately, I do not know what the problem might be. You can try to manually install and configure the OpenGL drivers and GLX extensions as well and see if it works. In case you have not seen this already, heres a link to the software:

http://www.sgi.com/products/software/

Hope this helps, Binoy


Robert Flint January 23, 2007 07:32

Re: OpenGL problem in Fluent for Linux
 
I am having the same problem on SUSE 10.2. Gambit works fine but when I use the display option in Fluent 6.3 I get the same error message as Jack. I am using an Nvidia Quadro card with the Nvidia driver installed.

Any advice would be appreciated.

ROB



All times are GMT -4. The time now is 09:49.